arc5hole = {}
math.randomseed(os.clock())
arc5openings = math.random(3, 6)

function arc5Init()
  arc5openings = math.random(4, 7)
  arc5hole[0] = 0
  for i = 1, arc5openings do
    math.randomseed(os.clock() + i)
    arc5hole[i] = i*(2*math.pi/arc5openings) - math.random()*(2*math.pi/arc5openings)
  end
  arc5hole[arc5openings + 1] = arc5hole[1]
  arc5R, arc5G, arc5B = math.random(255), math.random(255), math.random(255)
end

function arc5Draw(rad)
  love.graphics.setColor(arc5R, arc5G, arc5B, 255)
  for i = 1, arc5openings - 1 do
    if rad >= 500 and arc5hole[i] + 30/rad < arc5hole[i + 1] - 30/rad then
      love.graphics.arc("fill", width/2, height/2, 500, arc5hole[i] + 30/rad, arc5hole[i + 1] - 30/rad, 100)
    elseif rad < 500 and arc5hole[i] + 30/rad < arc5hole[i + 1] - 30/rad then
      love.graphics.arc("fill", width/2, height/2, rad, arc5hole[i] + 30/rad, arc5hole[i + 1] - 30/rad, 100)
    end
  end
  if rad >= 500 then
    love.graphics.arc("fill", width/2, height/2, 500, arc5hole[1] - 30/rad + 2*math.pi, arc5hole[arc5openings] + 30/rad, 100)
  elseif rad < 500 and arc5hole[1] - 30/rad + 2*math.pi > arc5hole[arc5openings] + 30/rad then
    love.graphics.arc("fill", width/2, height/2, rad, arc5hole[1] - 30/rad + 2*math.pi, arc5hole[arc5openings] + 30/rad, 100)
  end
  
  love.graphics.setColor(255, 255, 255, 255)
  love.graphics.circle("fill", width/2, height/2, rad - 10, 100)
  arc5radius = arc5radius + speed
  
  if arc5radius >= 510 then
    arc5radius = 50
    arc5Init()
    inmost = "arc5"
  end
end